- Extending Qt Creator Manual
- QtCreator
- FileNameValidatingLineEdit
- Extending Qt Creator Manual 13.0.0

# FileNameValidatingLineEdit Class

class Utils::FileNameValidatingLineEdit

The FileNameValidatingLineEdit class is a control that lets the user choose a (base) file name, based on a QLineEdit. More...

Header: | #include <FileNameValidatingLineEdit>
Inherits: | Utils::FancyLineEdit

- List of all members, including inherited members

## Public Functions

bool | allowDirectories() const
bool | forceFirstCapitalLetter() const
QStringList | requiredExtensions() const
void | setAllowDirectories(bool v)
void | setForceFirstCapitalLetter(bool b)
void | setRequiredExtensions(const QStringList &extensionList)

## Detailed Description

The class has some validation logic for embedding into QWizardPage.